Bug 1114841 (CVE-2014-4702) - CVE-2014-4702 nagios-plugins: check_icmp Arbitrary Option File Read
Summary: CVE-2014-4702 nagios-plugins: check_icmp Arbitrary Option File Read
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-4702
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1098548 1098549
Blocks: 1114439
TreeView+ depends on / blocked
 
Reported: 2014-07-01 06:44 UTC by Murray McAllister
Modified: 2019-09-29 13:19 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:47 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-07-01 06:44:48 UTC
Similar to the CVE-2014-4701 issue in the check_dhcp plug-in, the same flaw was found to affect check_icmp. A local attacker could obtain sensitive information by using this flaw to read parts of INI configuration files that belong to the root user.

This issue was fixed in version 2.0.2:

http://nagios-plugins.org/nagios-plugins-2-0-2-released/

References:
http://seclists.org/fulldisclosure/2014/May/74
https://bugzilla.redhat.com/show_bug.cgi?id=1098531
http://seclists.org/oss-sec/2014/q2/709

Comment 1 Murray McAllister 2014-07-01 06:47:14 UTC
Created nagios-plugins tracking bugs for this issue:

Affects: fedora-all [bug 1098548]
Affects: epel-all [bug 1098549]

Comment 2 Garth Mollett 2014-07-18 06:10:00 UTC
Statement:

This issue did not affect the versions of nagios-plugins as shipped with Red Hat Enterprise Linux OpenStack Platform.

Comment 4 Fedora Update System 2015-08-18 05:14:05 UTC
nagios-plugins-2.0.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-08-18 05:22:09 UTC
nagios-plugins-2.0.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-18 05:28:01 UTC
nagios-plugins-2.0.3-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-22 19:25:08 UTC
nagios-plugins-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-23 03:00:09 UTC
nagios-plugins-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.